package com.jiayue.ipp.common.data.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 文件类型枚举类
 *
 * @author xsl
 * @version 2.0
 * @since 2018/11/16 11:18
 */
@Getter
@AllArgsConstructor
public enum FileTypeEnum {
	DQ(1,"短期"),
	CDQ(2,"超短期"),
	THEORY(3,"理论功率"),
	NWP24(4,"24NWP"),
	NWP72(5,"72NWP"),
	QXZ(6,"气象站"),
	CFT(7,"测风塔"),
	NBQ(8,"逆变器"),
	FJXX(9,"风机信息"),
	GFZJXX(10,"光伏组件信息"),
	JXJH(11,"检修计划"),
	ZR(12,"昨日开机容量"),
	RQ(13,"日前预测"),
	RQ14(14,"日前预测14"),
	CZXX(15,"场站信息"),
	DQKY(16,"可用短期"),
	CDQKY(17,"可用超短期"),
	THEORYCDQ(18,"理论超短期"),
	DJ(19,"单机"),
	RP(20,"实际功率");

	private Integer code;
	private String message;

}
